4 Replies Latest reply on Dec 2, 2011 8:47 AM by TransitLearning

    I own MC with FB 4.5 WON'T Let me install 4.6

    thatkidrich44

      Becuase my serial is for the MC, and FB 4.6 is a stand alone product???  What kind of crap is that.  The support team on the Chat and Phone are morons who, quoting them...  "Are not qualified to help me"  Really?  Someone in Adobe needs to get the head out of their A$$ and fix this ASAP!